# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include ipv6fornodes::ipv6setupcommand
class ipv6fornodes::ipv6setupcommand {

# clean log
 exec { 
  'rm':
  command   => 'rm -f /root/result-ipv6',
  path      => ['/bin', '/usr/bin', '/sbin', '/usr/sbin','/usr/local/sbin','/usr/local/bin'],
  returns   => [0],
  logoutput => true,
  user      => 'root',
   }
# Executes ipv6 setup 
 exec { 'ipv6setup':
      command   => '/tmp/ipv6setup.sh',
      path      => ['/bin', '/usr/bin', '/sbin', '/usr/sbin','/usr/local/sbin','/usr/local/bin'],
      returns   => [0],
      onlyif    => 'test ! -f /root/result-ipv6',
      logoutput => true,
      user      => 'root',
   }
}
